Guard `{-# LANGUAGE Safe #-}` by `base>=4.4.1`
authorHerbert Valerio Riedel <hvr@gnu.org>
Thu, 24 Oct 2013 09:49:49 +0000 (11:49 +0200)
committerHerbert Valerio Riedel <hvr@gnu.org>
Thu, 24 Oct 2013 09:49:49 +0000 (11:49 +0200)
Modules in `base-4.4.0.0` weren't "safe" to import yet.

Signed-off-by: Herbert Valerio Riedel <hvr@gnu.org>
System/Locale.hs

index fd16939..ef95a0f 100644 (file)
@@ -1,5 +1,5 @@
 {-# LANGUAGE CPP #-}
-#if __GLASGOW_HASKELL__ >= 701
+#if __GLASGOW_HASKELL__ >= 701 && MIN_VERSION_base(4,4,1)
 {-# LANGUAGE Safe #-}
 #endif
 -----------------------------------------------------------------------------